<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.tcl.customerapi"
    android:sharedUserId="android.uid.system">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.RECOVERY" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.CLEAR_APP_CACHE" />
    <uses-permission android:name="android.permission.CHANGE_CONFIGURATION" />
    <uses-permission android:name="android.permission.WRITE_SETTINGS" />
    <uses-permission android:name="com.android.launcher.permission.READ_SETTINGS" />
    <uses-permission android:name="com.android.launcher.permission.WRITE_SETTINGS" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission
        android:name="android.permission.ACCESS_MOCK_LOCATION"
        tools:ignore="MockLocation" />
    <uses-permission android:name="android.permission.WRITE_MEDIA_STORAGE" />
    <uses-permission android:name="android.permission.CLEAR_APP_USER_DATA" />
    <uses-permission android:name="android.permission.WRITE_SECURE_SETTINGS" />
    <uses-permission android:name="android.permission.INSTALL_PACKAGES" />
    <uses-permission android:name="android.permission.DELETE_PACKAGES" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" />
    <uses-permission android:name="android.permission.RESTART_PACKAGES" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.SET_TIME_ZONE" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.GET_TASKS" /> <!-- <uses-permission android:name="android.permission.SHUTDOWN" /> -->
    <uses-permission android:name="android.permission.WRITE_OWNER_DATA" />
    <uses-permission android:name="android.permission.READ_OWNER_DATA" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.DISABLE_KEYGUARD" />
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
    <uses-permission android:name="android.permission.INJECT_EVENTS" />
    <uses-permission android:name="android.permission.MANAGE_EXTERNAL_STORAGE"/>

    <application
        android:name=".TclApplication"
        android:allowBackup="true"
        android:defaultToDeviceProtectedStorage="true"
        android:directBootAware="true"
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name"
        android:theme="@style/AppTheme">
        <service android:name=".AppUpdateService">
            <intent-filter>
                <action android:name="action.tvcustomer.appupdate" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </service>
        <service android:name=".IService">
            <intent-filter>
                <action android:name="action.tvcustomer.api" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </service>

        <receiver
            android:name=".MyReceiver"
            android:enabled="true"
            android:exported="true">
            <intent-filter android:priority="1000">
                <action android:name="com.tcl.customerapi.backup" />
                <action android:name="com.tcl.customerapi.restore" />
                <action android:name="com.tcl.customerapi.err" />
                <action android:name="com.tcl.customerapi.settings.err" />
                <action android:name="com.tcl.customerapi.settings.ok" />
                <action android:name="com.tcl.customerapi.no_usb_mount" />
                <action android:name="com.tcl.customerapi.usb_to_nvm_ok" />
                <action android:name="com.tcl.customerapi.usb_to_mvm_ng" />
                <action android:name="com.tcl.customerapi.nvm_to_usb_ok" />
                <action android:name="com.tcl.customerapi.nvm_to_usb_ng" />
                <action android:name="com.tcl.customerapi.logo_resolution_err" />
                <action android:name="com.tcl.customerapi.size_err" />
                <action android:name="com.tcl.customerapi.usb_no_bootanimation" />
                <action android:name="com.tcl.customerapi.no_bootvideo" />
                <action android:name="com.tcl.customerapi.copy_bootvideo_fail" />
                <action android:name="com.tcl.customerapi.set_up_success" />
                <action android:name="com.tcl.customerapi.set_up_fail" />
                <action android:name="com.tcl.customerapi.bootanimation_larger" />
                <action android:name="com.tcl.customerapi.no_space_to_save" />
                <action android:name="com.tcl.customerapi.usb_bootanimation_copy_fail" />
                <action android:name="com.tcl.customerapi.logo_copy_err" />
                <action android:name="android.intent.action.BOOT_COMPLETED" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.MEDIA_UNMOUNTED" />
                <action android:name="android.intent.action.MEDIA_MOUNTED" />
                <data android:scheme="file" />
            </intent-filter>
        </receiver>
        <!--
 Date:2014.02.16
			 add by yangms
        -->
        <uses-library
            android:name="com.tcl.tvmanager"
            android:required="false" />
        <uses-library
            android:name="android.tclwidget"
            android:required="false" />
        <uses-library
            android:name="com.tcl.tvos.addon"
            android:required="false" />
    </application>

</manifest>